<!-- тут описуємо список карток через цикл v-for, який буде проводити дії над карткою -->

<template>
    <div class="list-container">
        <product-card v-for="card in productsListData" :key="card.id" :product-data="card" :is-selected="isSelectedList"
            @deselect="$emit('deselect', card.id)" @select="$emit('select', card.id)" />
    </div>
</template>
  
<script>
import ProductCard from './ProductCard.vue'
export default {
    name: 'ProductsList', //name for this list

    components: {
        ProductCard, //gets one card for later visualization
    },

    props: { //external data 
        productsListData: { //list which includes all cards information
            type: Array,
            default: () => [],
        },
        isSelectedList: { 
            type: Boolean,
            default: false,
        },
    },
}
</script>
  
<style lang="css" scoped>
.list-container {
    display: flex;
}
</style>